GET /openapi/memorylake/admin/v1/billing/orders
所需权限:
order:read查询参数
string
仅返回此类型的订单。可选值:
onetime、auto_topup、subscription。string
仅返回此状态的订单。可选值:
pending、succeeded、failed、closed、refunded、disputed。integer
default:"20"
每页条数(1–100)
string
上一页返回的令牌
curl -X GET 'https://app.memorylake.cn/openapi/memorylake/admin/v1/billing/orders' \
-H 'Authorization: Bearer sk_xxxxxx'
响应
object
Show Load More Response Billing Order 对象
Show Load More Response Billing Order 对象
array
当前页的条目列表
Show Billing Order 对象
Show Billing Order 对象
integer
Unix 秒级时间戳
string
发票(GET /billing/invoices/{invoice_id});未开具时为 null
string
订单号(收据上显示的交易号)
string
支付服务商的收据页面;没有时为 null
string
付款状态;
closed = 付款前已放弃。可选值:pending、succeeded、failed、closed、refunded、disputed。integer
订单支付后计入余额的 tokens(订阅付款为 0——其 tokens 以订阅发放的形式到账)
string
onetime 表示购买额度;auto_topup 表示自动充值扣款;subscription 表示订阅付款integer
Unix 秒级时间戳
string
用于获取下一页的令牌;最后一页不返回
integer
所有分页中符合筛选条件的条目总数;无法获取计数时省略
{
"success": true,
"message": "Operation completed successfully",
"data": {
"items": [
{
"amount": {
"amount": 1999,
"currency": "usd"
},
"created_at": 1760000000,
"invoice_id": "8ed8f98873f8216d20a57a529c68b80f",
"order_id": "15180b2f335b821ab2d276984445fd81",
"receipt_url": "https://example.com/receipt",
"status": "pending",
"tokens_granted": 1200000,
"type": "onetime",
"refunded_amount": {
"amount": 1999,
"currency": "usd"
},
"refunded_at": 1760000000
}
],
"continuation_token": "eyJvZmZzZXQiOjIwfQ",
"total": 1
}
}